/**
 * @file message_prehash.h
 * @brief header file of externs of prehashed variables plus defines.
 *
 * $LicenseInfo:firstyear=2003&license=viewergpl$
 * 
 * Copyright (c) 2003-2009, Linden Research, Inc.
 * 
 * Second Life Viewer Source Code
 * The source code in this file ("Source Code") is provided by Linden Lab
 * to you under the terms of the GNU General Public License, version 2.0
 * ("GPL"), unless you have obtained a separate licensing agreement
 * ("Other License"), formally executed by you and Linden Lab.  Terms of
 * the GPL can be found in doc/GPL-license.txt in this distribution, or
 * online at http://secondlifegrid.net/programs/open_source/licensing/gplv2
 * 
 * There are special exceptions to the terms and conditions of the GPL as
 * it is applied to this Source Code. View the full text of the exception
 * in the file doc/FLOSS-exception.txt in this software distribution, or
 * online at
 * http://secondlifegrid.net/programs/open_source/licensing/flossexception
 * 
 * By copying, modifying or distributing this software, you acknowledge
 * that you have read and understood your obligations described above,
 * and agree to abide by those obligations.
 * 
 * ALL LINDEN LAB SOURCE CODE IS PROVIDED "AS IS." LINDEN LAB MAKES NO
 * WARRANTIES, EXPRESS, IMPLIED OR OTHERWISE, REGARDING ITS ACCURACY,
 * COMPLETENESS OR PERFORMANCE.
 * $/LicenseInfo$
 */

#ifndef LL_MESSAGE_PREHASH_H
#define LL_MESSAGE_PREHASH_H

/**
 * Generated from message template version number 2.000
 */


extern F32 const gPrehashVersionNumber;

extern char const* const _PREHASH_X;
extern char const* const _PREHASH_Y;
extern char const* const _PREHASH_Z;
extern char const* const _PREHASH_AddFlags;
extern char const* const _PREHASH_FailureInfo;
extern char const* const _PREHASH_MapData;
extern char const* const _PREHASH_AddItem;
extern char const* const _PREHASH_MeanCollision;
extern char const* const _PREHASH_RezScript;
extern char const* const _PREHASH_AvatarSitResponse;
extern char const* const _PREHASH_InventoryAssetResponse;
extern char const* const _PREHASH_KillObject;
extern char const* const _PREHASH_ProposalID;
extern char const* const _PREHASH_SerialNum;
extern char const* const _PREHASH_Duration;
extern char const* const _PREHASH_ScriptQuestion;
extern char const* const _PREHASH_AddCircuitCode;
extern char const* const _PREHASH_UseCircuitCode;
extern char const* const _PREHASH_ViewerCircuitCode;
extern char const* const _PREHASH_ScriptAnswerYes;
extern char const* const _PREHASH_PartnerID;
extern char const* const _PREHASH_DirLandQuery;
extern char const* const _PREHASH_TeleportStart;
extern char const* const _PREHASH_AboutText;
extern char const* const _PREHASH_VisualParam;
extern char const* const _PREHASH_GroupPrims;
extern char const* const _PREHASH_SelectedPrims;
extern char const* const _PREHASH_ID;
extern char const* const _PREHASH_UUIDNameRequest;
extern char const* const _PREHASH_UUIDGroupNameRequest;
extern char const* const _PREHASH_GroupAccountTransactionsRequest;
extern char const* const _PREHASH_MapNameRequest;
extern char const* const _PREHASH_UpdateSimulator;
extern char const* const _PREHASH_BillableFactor;
extern char const* const _PREHASH_ObjectBonusFactor;
extern char const* const _PREHASH_EnableSimulator;
extern char const* const _PREHASH_DisableSimulator;
extern char const* const _PREHASH_ConfirmEnableSimulator;
extern char const* const _PREHASH_LayerType;
extern char const* const _PREHASH_OwnerRole;
extern char const* const _PREHASH_ParcelOverlay;
extern char const* const _PREHASH_GroupOwned;
extern char const* const _PREHASH_IP;
extern char const* const _PREHASH_ChatFromViewer;
extern char const* const _PREHASH_AvgAgentsInView;
extern char const* const _PREHASH_AgentsInView;
extern char const* const _PREHASH_GroupTitle;
extern char const* const _PREHASH_MapLayerReply;
extern char const* const _PREHASH_CompoundMsgID;
extern char const* const _PREHASH_CameraConstraint;
extern char const* const _PREHASH_DownloadTotals;
extern char const* const _PREHASH_GenCounter;
extern char const* const _PREHASH_FrozenData;
extern char const* const _PREHASH_ChildAgentDying;
extern char const* const _PREHASH_To;
extern char const* const _PREHASH_CopyInventoryFromNotecard;
extern char const* const _PREHASH_RezObjectFromNotecard;
extern char const* const _PREHASH_ParcelDirFeeCurrent;
extern char const* const _PREHASH_SeedCapability;
extern char const* const _PREHASH_ObjectDuplicate;
extern char const* const _PREHASH_InventoryData;
extern char const* const _PREHASH_ReplyData;
extern char const* const _PREHASH_ResetList;
extern char const* const _PREHASH_MediaID;
extern char const* const _PREHASH_MediaAllowNavigate;
extern char const* const _PREHASH_MediaAutoScale;
extern char const* const _PREHASH_MediaCurrentURL;
extern char const* const _PREHASH_MediaData;
extern char const* const _PREHASH_MediaDesc;
extern char const* const _PREHASH_MediaHeight;
extern char const* const _PREHASH_MediaLinkSharing;
extern char const* const _PREHASH_MediaLoop;
extern char const* const _PREHASH_MediaPreventCameraZoom;
extern char const* const _PREHASH_MediaType;
extern char const* const _PREHASH_MediaURLTimeout;
extern char const* const _PREHASH_MediaWidth;
extern char const* const _PREHASH_RelatedRights;
extern char const* const _PREHASH_RedirectGridX;
extern char const* const _PREHASH_RedirectGridY;
extern char const* const _PREHASH_TransferID;
extern char const* const _PREHASH_TexturesChanged;
extern char const* const _PREHASH_UserLookAt;
extern char const* const _PREHASH_TestBlock1;
extern char const* const _PREHASH_SensedData;
extern char const* const _PREHASH_UpdateBlock;
extern char const* const _PREHASH_ClassifiedGodDelete;
extern char const* const _PREHASH_ObjectGrabUpdate;
extern char const* const _PREHASH_LocationPos;
extern char const* const _PREHASH_TaxDate;
extern char const* const _PREHASH_StartDateTime;
extern char const* const _PREHASH_ObjectUpdateCached;
extern char const* const _PREHASH_Packets;
extern char const* const _PREHASH_FailureType;
extern char const* const _PREHASH_UpdateGroupInfo;
extern char const* const _PREHASH_ObjectPermissions;
extern char const* const _PREHASH_RevokePermissions;
extern char const* const _PREHASH_UpdateFlags;
extern char const* const _PREHASH_ObjectExportSelected;
extern char const* const _PREHASH_RezSelected;
extern char const* const _PREHASH_AutoPilot;
extern char const* const _PREHASH_UpdateMuteListEntry;
extern char const* const _PREHASH_RemoveMuteListEntry;
extern char const* const _PREHASH_SetSimStatusInDatabase;
extern char const* const _PREHASH_SetSimPresenceInDatabase;
extern char const* const _PREHASH_CameraProperty;
extern char const* const _PREHASH_BrushSize;
extern char const* const _PREHASH_SimulatorSetMap;
extern char const* const _PREHASH_RegionPresenceRequestByRegionID;
extern char const* const _PREHASH_ParcelObjectOwnersReply;
extern char const* const _PREHASH_GroupMembersReply;
extern char const* const _PREHASH_GroupRoleMembersReply;
extern char const* const _PREHASH_RequestRegionInfo;
extern char const* const _PREHASH_AABBMax;
extern char const* const _PREHASH_RequestPayPrice;
extern char const* const _PREHASH_SimulatorPresentAtLocation;
extern char const* const _PREHASH_AgentRequestSit;
extern char const* const _PREHASH_AABBMin;
extern char const* const _PREHASH_ClassifiedFlags;
extern char const* const _PREHASH_ControlFlags;
extern char const* const _PREHASH_TeleportRequest;
extern char const* const _PREHASH_ScriptTeleportRequest;
extern char const* const _PREHASH_EstateCovenantRequest;
extern char const* const _PREHASH_DateUTC;
extern char const* const _PREHASH_TaskIDs;
extern char const* const _PREHASH_RequestResult;
extern char const* const _PREHASH_CanAcceptAgents;
extern char const* const _PREHASH_ObjectSaleInfo;
extern char const* const _PREHASH_KillChildAgents;
extern char const* const _PREHASH_Balance;
extern char const* const _PREHASH_DerezContainer;
extern char const* const _PREHASH_ObjectData;
extern char const* const _PREHASH_CameraAtAxis;
extern char const* const _PREHASH_InfoBlock;
extern char const* const _PREHASH_OwnershipCost;
extern char const* const _PREHASH_AvatarNotesUpdate;
extern char const* const _PREHASH_PID;
extern char const* const _PREHASH_DirPopularReply;
extern char const* const _PREHASH_SimData;
extern char const* const _PREHASH_TerrainHeightRange00;
extern char const* const _PREHASH_TerrainHeightRange01;
extern char const* const _PREHASH_TerrainHeightRange10;
extern char const* const _PREHASH_TerrainHeightRange11;
extern char const* const _PREHASH_UpdateInventoryItem;
extern char const* const _PREHASH_UpdateCreateInventoryItem;
extern char const* const _PREHASH_MoveInventoryItem;
extern char const* const _PREHASH_CopyInventoryItem;
extern char const* const _PREHASH_LinkInventoryItem;
extern char const* const _PREHASH_RemoveInventoryItem;
extern char const* const _PREHASH_CreateInventoryItem;
extern char const* const _PREHASH_PathTwistBegin;
extern char const* const _PREHASH_CRC;
extern char const* const _PREHASH_AttachmentPoint;
extern char const* const _PREHASH_TelehubBlock;
extern char const* const _PREHASH_FOVBlock;
extern char const* const _PREHASH_StartLocationData;
extern char const* const _PREHASH_PositionData;
extern char const* const _PREHASH_TimeSinceLast;
extern char const* const _PREHASH_MapImage;
extern char const* const _PREHASH_Objects;
extern char const* const _PREHASH_URL;
extern char const* const _PREHASH_CreationDate;
extern char const* const _PREHASH_JointPivot;
extern char const* const _PREHASH_FPS;
extern char const* const _PREHASH_HasTelehub;
extern char const* const _PREHASH_PathEnd;
extern char const* const _PREHASH_ScriptDataReply;
extern char const* const _PREHASH_MapBlockReply;
extern char const* const _PREHASH_PropertiesData;
extern char const* const _PREHASH_ViewerEffect;
extern char const* const _PREHASH_FreezeUser;
extern char const* const _PREHASH_OwnerPrims;
extern char const* const _PREHASH_ObjectGrab;
extern char const* const _PREHASH_ToAgentID;
extern char const* const _PREHASH_SimulatorMapUpdate;
extern char const* const _PREHASH_TransferPacket;
extern char const* const _PREHASH_ObjectName;
extern char const* const _PREHASH_GroupPowers;
extern char const* const _PREHASH_OriginalName;
extern char const* const _PREHASH_CompletePingCheck;
extern char const* const _PREHASH_OnlineStatus;
extern char const* const _PREHASH_ObjectDrop;
extern char const* const _PREHASH_UseBigPackets;
extern char const* const _PREHASH_GroupNoticesListReply;
extern char const* const _PREHASH_ParcelAccessListReply;
extern char const* const _PREHASH_RpcChannelReply;
extern char const* const _PREHASH_RegionPresenceResponse;
extern char const* const _PREHASH_CharterMember;
extern char const* const _PREHASH_EdgeData;
extern char const* const _PREHASH_NameData;
extern char const* const _PREHASH_RegionPushOverride;
extern char const* const _PREHASH_SimName;
extern char const* const _PREHASH_UserReport;
extern char const* const _PREHASH_DownloadPriority;
extern char const* const _PREHASH_ToAgentId;
extern char const* const _PREHASH_DirPopularQuery;
extern char const* const _PREHASH_Mag;
extern char const* const _PREHASH_ParcelPropertiesRequestByID;
extern char const* const _PREHASH_ObjectLink;
extern char const* const _PREHASH_RpcScriptReplyInbound;
extern char const* const _PREHASH_RezData;
extern char const* const _PREHASH_RemoveInventoryObjects;
extern char const* const _PREHASH_GroupProposalBallot;
extern char const* const _PREHASH_RPCServerIP;
extern char const* const _PREHASH_Far;
extern char const* const _PREHASH_GodSessionID;
extern char const* const _PREHASH_FLAboutText;
extern char const* const _PREHASH_RegionHandshakeReply;
extern char const* const _PREHASH_GroupActiveProposalItemReply;
extern char const* const _PREHASH_MapItemReply;
extern char const* const _PREHASH_Seconds;
extern char const* const _PREHASH_UpdateUserInfo;
extern char const* const _PREHASH_AggregatePermTexturesOwner;
extern char const* const _PREHASH_Set;
extern char const* const _PREHASH_NewName;
extern char const* const _PREHASH_Key;
extern char const* const _PREHASH_AgentID;
extern char const* const _PREHASH_EventNotificationRemoveRequest;
extern char const* const _PREHASH_NewFolderID;
extern char const* const _PREHASH_Arc;
extern char const* const _PREHASH_RegionX;
extern char const* const _PREHASH_RegionY;
extern char const* const _PREHASH_RequestData;
extern char const* const _PREHASH_Msg;
extern char const* const _PREHASH_Top;
extern char const* const _PREHASH_MiscStats;
extern char const* const _PREHASH_ImageID;
extern char const* const _PREHASH_DataPacket;
extern char const* const _PREHASH_You;
extern char const* const _PREHASH_ScriptControlChange;
extern char const* const _PREHASH_LoadURL;
extern char const* const _PREHASH_SetCPURatio;
extern char const* const _PREHASH_NameValueData;
extern char const* const _PREHASH_AtomicPassObject;
extern char const* const _PREHASH_ErrorMessage;
extern char const* const _PREHASH_ViewerFrozenMessage;
extern char const* const _PREHASH_HealthMessage;
extern char const* const _PREHASH_LogTextMessage;
extern char const* const _PREHASH_TimeDilation;
extern char const* const _PREHASH_RemoveContribution;
extern char const* const _PREHASH_Contribution;
extern char const* const _PREHASH_SetGroupContribution;
extern char const* const _PREHASH_Offline;
extern char const* const _PREHASH_AgentIsNowWearing;
extern char const* const _PREHASH_Members;
extern char const* const _PREHASH_FailedResends;
extern char const* const _PREHASH_SecPerDay;
extern char const* const _PREHASH_CameraCenter;
extern char const* const _PREHASH_CameraLeftAxis;
extern char const* const _PREHASH_ExBlock;
extern char const* const _PREHASH_Channel;
extern char const* const _PREHASH_NetTest;
extern char const* const _PREHASH_DiscardLevel;
extern char const* const _PREHASH_LayerID;
extern char const* const _PREHASH_GrabOffset;
extern char const* const _PREHASH_SimPort;
extern char const* const _PREHASH_PricePerMeter;
extern char const* const _PREHASH_RegionFlags;
extern char const* const _PREHASH_RegionFlagsExtended;
extern char const* const _PREHASH_RegionProtocols;
extern char const* const _PREHASH_VoteResult;
extern char const* const _PREHASH_ParcelDirFeeEstimate;
extern char const* const _PREHASH_ModifyBlock;
extern char const* const _PREHASH_InventoryBlock;
extern char const* const _PREHASH_ReplyBlock;
extern char const* const _PREHASH_ValidUntil;
extern char const* const _PREHASH_VelocityInterpolateOn;
extern char const* const _PREHASH_ClassifiedDelete;
extern char const* const _PREHASH_RegionDenyAnonymous;
extern char const* const _PREHASH_FLImageID;
extern char const* const _PREHASH_AllowPublish;
extern char const* const _PREHASH_SitName;
extern char const* const _PREHASH_RegionsVisited;
extern char const* const _PREHASH_DirClassifiedReply;
extern char const* const _PREHASH_AvatarClassifiedReply;
extern char const* const _PREHASH_MediaURL;
extern char const* const _PREHASH_CompleteAgentMovement;
extern char const* const _PREHASH_ClassifiedID;
extern char const* const _PREHASH_LocalID;
extern char const* const _PREHASH_SpaceIP;
extern char const* const _PREHASH_RemoveItem;
extern char const* const _PREHASH_LogFailedMoneyTransaction;
extern char const* const _PREHASH_ViewerStartAuction;
extern char const* const _PREHASH_StartAuction;
extern char const* const _PREHASH_DuplicateFlags;
extern char const* const _PREHASH_RegionInfo2;
extern char const* const _PREHASH_RegionInfo3;
extern char const* const _PREHASH_RegionInfo4;
extern char const* const _PREHASH_TextColor;
extern char const* const _PREHASH_SlaveID;
extern char const* const _PREHASH_Charter;
extern char const* const _PREHASH_AlertData;
extern char const* const _PREHASH_AlertInfo;
extern char const* const _PREHASH_TargetBlock;
extern char const* const _PREHASH_CheckParcelAuctions;
extern char const* const _PREHASH_ParcelAuctions;
extern char const* const _PREHASH_OwnerIsGroup;
extern char const* const _PREHASH_NameValuePair;
extern char const* const _PREHASH_RemoveNameValuePair;
extern char const* const _PREHASH_BulkUpdateInventory;
extern char const* const _PREHASH_UpdateTaskInventory;
extern char const* const _PREHASH_RemoveTaskInventory;
extern char const* const _PREHASH_MoveTaskInventory;
extern char const* const _PREHASH_RequestTaskInventory;
extern char const* const _PREHASH_ReplyTaskInventory;
extern char const* const _PREHASH_AggregatePermInventory;
extern char const* const _PREHASH_GroupAccountTransactionsReply;
extern char const* const _PREHASH_SimulatorInfo;
extern char const* const _PREHASH_WearableData;
extern char const* const _PREHASH_Enabled;
extern char const* const _PREHASH_Savings;
extern char const* const _PREHASH_SimulatorLoad;
extern char const* const _PREHASH_InternalRegionIP;
extern char const* const _PREHASH_ExternalRegionIP;
extern char const* const _PREHASH_TotalPairs;
extern char const* const _PREHASH_CreateGroupRequest;
extern char const* const _PREHASH_JoinGroupRequest;
extern char const* const _PREHASH_LeaveGroupRequest;
extern char const* const _PREHASH_InviteGroupRequest;
extern char const* const _PREHASH_LiveHelpGroupRequest;
extern char const* const _PREHASH_PriceParcelClaimFactor;
extern char const* const _PREHASH_BillableArea;
extern char const* const _PREHASH_ObjectID;
extern char const* const _PREHASH_ObjectFlagUpdate;
extern char const* const _PREHASH_GroupRoleUpdate;
extern char const* const _PREHASH_RequestInventoryAsset;
extern char const* const _PREHASH_ChangedGrid;
extern char const* const _PREHASH_AgentDropGroup;
extern char const* const _PREHASH_Details;
extern char const* const _PREHASH_LocationX;
extern char const* const _PREHASH_SaleType;
extern char const* const _PREHASH_LocationY;
extern char const* const _PREHASH_LocationZ;
extern char const* const _PREHASH_EconomyData;
extern char const* const _PREHASH_HeadRotation;
extern char const* const _PREHASH_DeleteOnCompletion;
extern char const* const _PREHASH_PublicPort;
extern char const* const _PREHASH_DirClassifiedQuery;
extern char const* const _PREHASH_CallbackID;
extern char const* const _PREHASH_RequestParcelTransfer;
extern char const* const _PREHASH_RoleCount;
extern char const* const _PREHASH_RequestID;
extern char const* const _PREHASH_RequestXfer;
extern char const* const _PREHASH_ObjectTaxCurrent;
extern char const* const _PREHASH_LightTaxCurrent;
extern char const* const _PREHASH_LandTaxCurrent;
extern char const* const _PREHASH_GroupTaxCurrent;
extern char const* const _PREHASH_FetchInventoryDescendents;
extern char const* const _PREHASH_InventoryDescendents;
extern char const* const _PREHASH_Descendents;
extern char const* const _PREHASH_PurgeInventoryDescendents;
extern char const* const _PREHASH_ShowDir;
extern char const* const _PREHASH_IsOwner;
extern char const* const _PREHASH_Timestamp;
extern char const* const _PREHASH_GlobalPos;
extern char const* const _PREHASH_GrabOffsetInitial;
extern char const* const _PREHASH_IsTrial;
extern char const* const _PREHASH_ObjectDuplicateOnRay;
extern char const* const _PREHASH_GroupMembershipCount;
extern char const* const _PREHASH_MethodData;
extern char const* const _PREHASH_ActivateGestures;
extern char const* const _PREHASH_DeactivateGestures;
extern char const* const _PREHASH_ProposalData;
extern char const* const _PREHASH_PosGlobal;
extern char const* const _PREHASH_SearchID;
extern char const* const _PREHASH_RezMultipleAttachmentsFromInv;
extern char const* const _PREHASH_SearchName;
extern char const* const _PREHASH_VersionString;
extern char const* const _PREHASH_CreateGroupReply;
extern char const* const _PREHASH_LeaveGroupReply;
extern char const* const _PREHASH_ActualArea;
extern char const* const _PREHASH_Message;
extern char const* const _PREHASH_ClickAction;
extern char const* const _PREHASH_AssetUploadComplete;
extern char const* const _PREHASH_RequestType;
extern char const* const _PREHASH_UUID;
extern char const* const _PREHASH_BaseMask;
extern char const* const _PREHASH_NetBlock;
extern char const* const _PREHASH_GlobalX;
extern char const* const _PREHASH_GlobalY;
extern char const* const _PREHASH_GlobalZ;
extern char const* const _PREHASH_CopyRotates;
extern char const* const _PREHASH_KickUserAck;
extern char const* const _PREHASH_TopPick;
extern char const* const _PREHASH_SessionID;
extern char const* const _PREHASH_DeclineFriendship;
extern char const* const _PREHASH_FormFriendship;
extern char const* const _PREHASH_TerminateFriendship;
extern char const* const _PREHASH_TaskData;
extern char const* const _PREHASH_SimWideMaxPrims;
extern char const* const _PREHASH_TotalPrims;
extern char const* const _PREHASH_ProfileBegin;
extern char const* const _PREHASH_Request;
extern char const* const _PREHASH_GroupAccountDetailsRequest;
extern char const* const _PREHASH_GroupActiveProposalsRequest;
extern char const* const _PREHASH_StringValue;
extern char const* const _PREHASH_Version;
extern char const* const _PREHASH_OtherCount;
extern char const* const _PREHASH_MemberCount;
extern char const* const _PREHASH_ChatData;
extern char const* const _PREHASH_IsGroupOwned;
extern char const* const _PREHASH_EnergyEfficiency;
extern char const* const _PREHASH_PickInfoUpdate;
extern char const* const _PREHASH_PickDelete;
extern char const* const _PREHASH_ScriptReset;
extern char const* const _PREHASH_Requester;
extern char const* const _PREHASH_ForSale;
extern char const* const _PREHASH_NearestLandingRegionReply;
extern char const* const _PREHASH_ParcelID;
extern char const* const _PREHASH_Godlike;
extern char const* const _PREHASH_TotalDebits;
extern char const* const _PREHASH_Direction;
extern char const* const _PREHASH_HealthData;
extern char const* const _PREHASH_LeftAxis;
extern char const* const _PREHASH_LocationBlock;
extern char const* const _PREHASH_ObjectImage;
extern char const* const _PREHASH_TerrainStartHeight00;
extern char const* const _PREHASH_TerrainStartHeight01;
extern char const* const _PREHASH_TerrainStartHeight10;
extern char const* const _PREHASH_TerrainStartHeight11;
extern char const* const _PREHASH_WaterHeight;
extern char const* const _PREHASH_FetchInventoryReply;
extern char const* const _PREHASH_GroupAccountSummaryReply;
extern char const* const _PREHASH_AttachedSound;
extern char const* const _PREHASH_ParamInUse;
extern char const* const _PREHASH_GodKickUser;
extern char const* const _PREHASH_PickName;
extern char const* const _PREHASH_TaskName;
extern char const* const _PREHASH_RegionPresenceRequestByHandle;
extern char const* const _PREHASH_RezSingleAttachmentFromInv;
extern char const* const _PREHASH_ChildAgentUpdate;
extern char const* const _PREHASH_IsOwnerGroup;
extern char const* const _PREHASH_AgentHeightWidth;
extern char const* const _PREHASH_VerticalAngle;
extern char const* const _PREHASH_WearableType;
extern char const* const _PREHASH_AggregatePermNextOwner;
extern char const* const _PREHASH_ShowInList;
extern char const* const _PREHASH_UpdateParcel;
extern char const* const _PREHASH_SetAlwaysRun;
extern char const* const _PREHASH_NVPair;
extern char const* const _PREHASH_SearchType;
extern char const* const _PREHASH_ObjectSpinStart;
extern char const* const _PREHASH_UseEstateSun;
extern char const* const _PREHASH_RegionID;
extern char const* const _PREHASH_AbuseRegionID;
extern char const* const _PREHASH_Creator;
extern char const* const _PREHASH_ProposalText;
extern char const* const _PREHASH_DirEventsReply;
extern char const* const _PREHASH_EventInfoReply;
extern char const* const _PREHASH_UserInfoReply;
extern char const* const _PREHASH_PathRadiusOffset;
extern char const* const _PREHASH_TextureData;
extern char const* const _PREHASH_ChatPass;
extern char const* const _PREHASH_TargetID;
extern char const* const _PREHASH_DefaultPayPrice;
extern char const* const _PREHASH_UserLocation;
extern char const* const _PREHASH_MaxPrims;
extern char const* const _PREHASH_LandmarkID;
extern char const* const _PREHASH_InitiateDownload;
extern char const* const _PREHASH_Name;
extern char const* const _PREHASH_OtherCleanTime;
extern char const* const _PREHASH_ParcelSetOtherCleanTime;
extern char const* const _PREHASH_TeleportPriceExponent;
extern char const* const _PREHASH_Gain;
extern char const* const _PREHASH_PacketAck;
extern char const* const _PREHASH_PathSkew;
extern char const* const _PREHASH_SimulatorShutdownRequest;
extern char const* const _PREHASH_NearestLandingRegionRequest;
extern char const* const _PREHASH_OtherID;
extern char const* const _PREHASH_MemberID;
extern char const* const _PREHASH_MapLayerRequest;
extern char const* const _PREHASH_ObjectScale;
extern char const* const _PREHASH_TargetIP;
extern char const* const _PREHASH_Redo;
extern char const* const _PREHASH_MoneyBalance;
extern char const* const _PREHASH_TrackAgent;
extern char const* const _PREHASH_MaxX;
extern char const* const _PREHASH_MaxY;
extern char const* const _PREHASH_Data;
extern char const* const _PREHASH_NewData;
extern char const* const _PREHASH_ListInProfile;
extern char const* const _PREHASH_TextureAnim;
extern char const* const _PREHASH_ReturnIDs;
extern char const* const _PREHASH_Date;
extern char const* const _PREHASH_AgentWearablesUpdate;
extern char const* const _PREHASH_AgentDataUpdate;
extern char const* const _PREHASH_GroupDataUpdate;
extern char const* const _PREHASH_Hash;
extern char const* const _PREHASH_AgentGroupDataUpdate;
extern char const* const _PREHASH_Left;
extern char const* const _PREHASH_Mask;
extern char const* const _PREHASH_ForceMouselook;
extern char const* const _PREHASH_Success;
extern char const* const _PREHASH_ObjectGroup;
extern char const* const _PREHASH_SunHour;
extern char const* const _PREHASH_MinX;
extern char const* const _PREHASH_ScriptSensorReply;
extern char const* const _PREHASH_MinY;
extern char const* const _PREHASH_Command;
extern char const* const _PREHASH_Desc;
extern char const* const _PREHASH_AttachmentNeedsSave;
extern char const* const _PREHASH_HistoryItemData;
extern char const* const _PREHASH_AgentCachedTexture;
extern char const* const _PREHASH_Subject;
extern char const* const _PREHASH_QueryReplies;
extern char const* const _PREHASH_ObjectCategory;
extern char const* const _PREHASH_Time;
extern char const* const _PREHASH_CreateLandmarkForEvent;
extern char const* const _PREHASH_ParentID;
extern char const* const _PREHASH_Ping;
extern char const* const _PREHASH_Perp;
extern char const* const _PREHASH_Code;
extern char const* const _PREHASH_InvType;
extern char const* const _PREHASH_AgentFOV;
extern char const* const _PREHASH_Audible;
extern char const* const _PREHASH_AuctionData;
extern char const* const _PREHASH_IDBlock;
extern char const* const _PREHASH_North;
extern char const* const _PREHASH_South;
extern char const* const _PREHASH_West;
extern char const* const _PREHASH_East;
extern char const* const _PREHASH_Undo;
extern char const* const _PREHASH_TotalNumItems;
extern char const* const _PREHASH_Info;
extern char const* const _PREHASH_Area;
extern char const* const _PREHASH_SimCrashed;
extern char const* const _PREHASH_Text;
extern char const* const _PREHASH_PriceGroupCreate;
extern char const* const _PREHASH_ObjectShape;
extern char const* const _PREHASH_GroupRoleDataReply;
extern char const* const _PREHASH_MuteCRC;
extern char const* const _PREHASH_Size;
extern char const* const _PREHASH_FromAddress;
extern char const* const _PREHASH_Body;
extern char const* const _PREHASH_FileData;
extern char const* const _PREHASH_List;
extern char const* const _PREHASH_KickUser;
extern char const* const _PREHASH_OtherPrims;
extern char const* const _PREHASH_RunTime;
extern char const* const _PREHASH_GrantUserRights;
extern char const* const _PREHASH_RpcScriptRequestInboundForward;
extern char const* const _PREHASH_More;
extern char const* const _PREHASH_Majority;
extern char const* const _PREHASH_MetersTraveled;
extern char const* const _PREHASH_Stat;
extern char const* const _PREHASH_SoundID;
extern char const* const _PREHASH_Item;
extern char const* const _PREHASH_User;
extern char const* const _PREHASH_Prey;
extern char const* const _PREHASH_RayStart;
extern char const* const _PREHASH_UsecSinceStart;
extern char const* const _PREHASH_ParcelData;
extern char const* const _PREHASH_CameraUpAxis;
extern char const* const _PREHASH_ScriptDialog;
extern char const* const _PREHASH_MasterParcelData;
extern char const* const _PREHASH_Invalid;
extern char const* const _PREHASH_ProfileCurve;
extern char const* const _PREHASH_ParcelAccessListUpdate;
extern char const* const _PREHASH_MuteListUpdate;
extern char const* const _PREHASH_SendPacket;
extern char const* const _PREHASH_SendXferPacket;
extern char const* const _PREHASH_RegionDenyIdentified;
extern char const* const _PREHASH_NotecardItemID;
extern char const* const _PREHASH_LastName;
extern char const* const _PREHASH_From;
extern char const* const _PREHASH_RoleChange;
extern char const* const _PREHASH_Port;
extern char const* const _PREHASH_MemberTitle;
extern char const* const _PREHASH_LogParcelChanges;
extern char const* const _PREHASH_AgentCachedTextureResponse;
extern char const* const _PREHASH_DeRezObject;
extern char const* const _PREHASH_IsTemporary;
extern char const* const _PREHASH_IsPhantom;
extern char const* const _PREHASH_CastsShadows;
extern char const* const _PREHASH_ExtraPhysics;
extern char const* const _PREHASH_PhysicsShapeType;
extern char const* const _PREHASH_Density;
extern char const* const _PREHASH_Friction;
extern char const* const _PREHASH_Restitution;
extern char const* const _PREHASH_GravityMultiplier;
extern char const* const _PREHASH_InsigniaID;
extern char const* const _PREHASH_CheckFlags;
extern char const* const _PREHASH_EventID;
extern char const* const _PREHASH_Selected;
extern char const* const _PREHASH_FromAgentId;
extern char const* const _PREHASH_Type;
extern char const* const _PREHASH_ChatType;
extern char const* const _PREHASH_ReportData;
extern char const* const _PREHASH_RequestBlock;
extern char const* const _PREHASH_GrantData;
extern char const* const _PREHASH_DetachAttachmentIntoInv;
extern char const* const _PREHASH_ParcelDisableObjects;
extern char const* const _PREHASH_Sections;
extern char const* const _PREHASH_GodLevel;
extern char const* const _PREHASH_PayPriceReply;
extern char const* const _PREHASH_QueryID;
extern char const* const _PREHASH_CameraEyeOffset;
extern char const* const _PREHASH_AgentPosition;
extern char const* const _PREHASH_GrabPosition;
extern char const* const _PREHASH_OnlineNotification;
extern char const* const _PREHASH_OfflineNotification;
extern char const* const _PREHASH_SendPostcard;
extern char const* const _PREHASH_RequestFlags;
extern char const* const _PREHASH_GroupAccountSummaryRequest;
extern char const* const _PREHASH_GroupVoteHistoryRequest;
extern char const* const _PREHASH_ParamValue;
extern char const* const _PREHASH_MaxAgents;
extern char const* const _PREHASH_HardMaxAgents;
extern char const* const _PREHASH_CreateNewOutfitAttachments;
extern char const* const _PREHASH_RegionHandle;
extern char const* const _PREHASH_ChannelVersion;
extern char const* const _PREHASH_TeleportProgress;
extern char const* const _PREHASH_AgentQuitCopy;
extern char const* const _PREHASH_AvatarInterestsUpdate;
extern char const* const _PREHASH_GroupNoticeID;
extern char const* const _PREHASH_ParcelName;
extern char const* const _PREHASH_PriceObjectRent;
extern char const* const _PREHASH_OfferCallingCard;
extern char const* const _PREHASH_AcceptCallingCard;
extern char const* const _PREHASH_DeclineCallingCard;
extern char const* const _PREHASH_AgentAccess;
extern char const* const _PREHASH_AgentLegacyAccess;
extern char const* const _PREHASH_AgentMaxAccess;
extern char const* const _PREHASH_DataHomeLocationReply;
extern char const* const _PREHASH_EventLocationReply;
extern char const* const _PREHASH_TerseDateID;
extern char const* const _PREHASH_ObjectOwner;
extern char const* const _PREHASH_AssetID;
extern char const* const _PREHASH_AlertMessage;
extern char const* const _PREHASH_AgentAlertMessage;
extern char const* const _PREHASH_EstateOwnerMessage;
extern char const* const _PREHASH_ParcelMediaCommandMessage;
extern char const* const _PREHASH_Auction;
extern char const* const _PREHASH_Category;
extern char const* const _PREHASH_FilePath;
extern char const* const _PREHASH_ItemFlags;
extern char const* const _PREHASH_Invoice;
extern char const* const _PREHASH_IntervalDays;
extern char const* const _PREHASH_PathScaleX;
extern char const* const _PREHASH_FromTaskID;
extern char const* const _PREHASH_PathScaleY;
extern char const* const _PREHASH_TimeInfo;
extern char const* const _PREHASH_PublicCount;
extern char const* const _PREHASH_ParcelJoin;
extern char const* const _PREHASH_GroupRolesCount;
extern char const* const _PREHASH_SimulatorBlock;
extern char const* const _PREHASH_GroupID;
extern char const* const _PREHASH_AgentVel;
extern char const* const _PREHASH_RequestImage;
extern char const* const _PREHASH_NetStats;
extern char const* const _PREHASH_AgentPos;
extern char const* const _PREHASH_AgentSit;
extern char const* const _PREHASH_Material;
extern char const* const _PREHASH_ObjectDeGrab;
extern char const* const _PREHASH_VelocityInterpolateOff;
extern char const* const _PREHASH_AuthorizedBuyerID;
extern char const* const _PREHASH_AvatarPropertiesReply;
extern char const* const _PREHASH_GroupProfileReply;
extern char const* const _PREHASH_SimOwner;
extern char const* const _PREHASH_SalePrice;
extern char const* const _PREHASH_Animation;
extern char const* const _PREHASH_OwnerID;
extern char const* const _PREHASH_NearestLandingRegionUpdated;
extern char const* const _PREHASH_PassToAgent;
extern char const* const _PREHASH_PreyAgent;
extern char const* const _PREHASH_SimStats;
extern char const* const _PREHASH_LogoutReply;
extern char const* const _PREHASH_FeatureDisabled;
extern char const* const _PREHASH_PhysicalAvatarEventList;
extern char const* const _PREHASH_ObjectLocalID;
extern char const* const _PREHASH_Dropped;
extern char const* const _PREHASH_WebProfilesDisabled;
extern char const* const _PREHASH_Destination;
extern char const* const _PREHASH_MasterID;
extern char const* const _PREHASH_TransferData;
extern char const* const _PREHASH_WantToMask;
extern char const* const _PREHASH_ParcelSelectObjects;
extern char const* const _PREHASH_ExtraParams;
extern char const* const _PREHASH_CreatorID;
extern char const* const _PREHASH_Summary;
extern char const* const _PREHASH_BuyObjectInventory;
extern char const* const _PREHASH_FetchInventory;
extern char const* const _PREHASH_InventoryID;
extern char const* const _PREHASH_PacketNumber;
extern char const* const _PREHASH_SetFollowCamProperties;
extern char const* const _PREHASH_ClearFollowCamProperties;
extern char const* const _PREHASH_SequenceID;
extern char const* const _PREHASH_DataServerLogout;
extern char const* const _PREHASH_NameValue;
extern char const* const _PREHASH_PathShearX;
extern char const* const _PREHASH_PathShearY;
extern char const* const _PREHASH_Velocity;
extern char const* const _PREHASH_SecPerYear;
extern char const* const _PREHASH_FirstName;
extern char const* const _PREHASH_AttachedSoundGainChange;
extern char const* const _PREHASH_LocationID;
extern char const* const _PREHASH_Running;
extern char const* const _PREHASH_Mono;
extern char const* const _PREHASH_Luau;
extern char const* const _PREHASH_LuauLanguage;
extern char const* const _PREHASH_AgentThrottle;
extern char const* const _PREHASH_NeighborList;
extern char const* const _PREHASH_PathTaperX;
extern char const* const _PREHASH_PathTaperY;
extern char const* const _PREHASH_AgentRelated;
extern char const* const _PREHASH_GranterBlock;
extern char const* const _PREHASH_UseCachedMuteList;
extern char const* const _PREHASH_FailStats;
extern char const* const _PREHASH_Tempfile;
extern char const* const _PREHASH_BuyerID;
extern char const* const _PREHASH_DirPeopleReply;
extern char const* const _PREHASH_TransferInfo;
extern char const* const _PREHASH_AvatarPickerRequestBackend;
extern char const* const _PREHASH_AvatarPropertiesRequestBackend;
extern char const* const _PREHASH_UpdateData;
extern char const* const _PREHASH_SimFPS;
extern char const* const _PREHASH_ReporterID;
extern char const* const _PREHASH_ButtonLabel;
extern char const* const _PREHASH_GranterID;
extern char const* const _PREHASH_WantToText;
extern char const* const _PREHASH_ReportType;
extern char const* const _PREHASH_SimulatorReady;
extern char const* const _PREHASH_DataBlock;
extern char const* const _PREHASH_AnimationSourceList;
extern char const* const _PREHASH_SubscribeLoad;
extern char const* const _PREHASH_UnsubscribeLoad;
extern char const* const _PREHASH_Packet;
extern char const* const _PREHASH_UndoLand;
extern char const* const _PREHASH_SimAccess;
extern char const* const _PREHASH_AbuserID;
extern char const* const _PREHASH_MembershipFee;
extern char const* const _PREHASH_InviteGroupResponse;
extern char const* const _PREHASH_CreateInventoryFolder;
extern char const* const _PREHASH_UpdateInventoryFolder;
extern char const* const _PREHASH_MoveInventoryFolder;
extern char const* const _PREHASH_RemoveInventoryFolder;
extern char const* const _PREHASH_MoneyData;
extern char const* const _PREHASH_ObjectDeselect;
extern char const* const _PREHASH_NewAssetID;
extern char const* const _PREHASH_ObjectAdd;
extern char const* const _PREHASH_RayEndIsIntersection;
extern char const* const _PREHASH_CompleteAuction;
extern char const* const _PREHASH_CircuitCode;
extern char const* const _PREHASH_AgentMovementComplete;
extern char const* const _PREHASH_ViewerIP;
extern char const* const _PREHASH_Header;
extern char const* const _PREHASH_GestureFlags;
extern char const* const _PREHASH_XferID;
extern char const* const _PREHASH_StatValue;
extern char const* const _PREHASH_TaskID;
extern char const* const _PREHASH_PickID;
extern char const* const _PREHASH_RayEnd;
extern char const* const _PREHASH_Throttles;
extern char const* const _PREHASH_RebakeAvatarTextures;
extern char const* const _PREHASH_UpAxis;
extern char const* const _PREHASH_AgentTextures;
extern char const* const _PREHASH_NotecardData;
extern char const* const _PREHASH_Radius;
extern char const* const _PREHASH_OffCircuit;
extern char const* const _PREHASH_Access;
extern char const* const _PREHASH_TitleRoleID;
extern char const* const _PREHASH_SquareMetersCredit;
extern char const* const _PREHASH_Filename;
extern char const* const _PREHASH_ClassifiedInfoRequest;
extern char const* const _PREHASH_ParcelInfoRequest;
extern char const* const _PREHASH_ParcelObjectOwnersRequest;
extern char const* const _PREHASH_TeleportLandmarkRequest;
extern char const* const _PREHASH_EventInfoRequest;
extern char const* const _PREHASH_MoneyBalanceRequest;
extern char const* const _PREHASH_GroupMembersRequest;
extern char const* const _PREHASH_GroupRoleMembersRequest;
extern char const* const _PREHASH_ChatFromSimulator;
extern char const* const _PREHASH_OldFolderID;
extern char const* const _PREHASH_UserInfoRequest;
extern char const* const _PREHASH_TextureID;
extern char const* const _PREHASH_ProfileURL;
extern char const* const _PREHASH_Handle;
extern char const* const _PREHASH_ButtonIndex;
extern char const* const _PREHASH_GetScriptRunning;
extern char const* const _PREHASH_SetScriptRunning;
extern char const* const _PREHASH_Health;
extern char const* const _PREHASH_CircuitInfo;
extern char const* const _PREHASH_ObjectBuy;
extern char const* const _PREHASH_ProfileEnd;
extern char const* const _PREHASH_Effect;
extern char const* const _PREHASH_TestMessage;
extern char const* const _PREHASH_ScriptMailRegistration;
extern char const* const _PREHASH_AgentSetAppearance;
extern char const* const _PREHASH_AvatarAppearance;
extern char const* const _PREHASH_RegionData;
extern char const* const _PREHASH_RequestingRegionData;
extern char const* const _PREHASH_LandingRegionData;
extern char const* const _PREHASH_SitTransform;
extern char const* const _PREHASH_TerrainBase0;
extern char const* const _PREHASH_SkillsMask;
extern char const* const _PREHASH_AtAxis;
extern char const* const _PREHASH_TerrainBase1;
extern char const* const _PREHASH_Reason;
extern char const* const _PREHASH_TerrainBase2;
extern char const* const _PREHASH_TerrainBase3;
extern char const* const _PREHASH_Params;
extern char const* const _PREHASH_PingID;
extern char const* const _PREHASH_Change;
extern char const* const _PREHASH_Height;
extern char const* const _PREHASH_Region;
extern char const* const _PREHASH_TelehubInfo;
extern char const* const _PREHASH_StateSave;
extern char const* const _PREHASH_RoleData;
extern char const* const _PREHASH_AgentAnimation;
extern char const* const _PREHASH_AvatarAnimation;
extern char const* const _PREHASH_ObjectAnimation;
extern char const* const _PREHASH_LogDwellTime;
extern char const* const _PREHASH_ParcelGodMarkAsContent;
extern char const* const _PREHASH_UsePhysics;
extern char const* const _PREHASH_RegionDenyTransacted;
extern char const* const _PREHASH_JointType;
extern char const* const _PREHASH_ObjectTaxEstimate;
extern char const* const _PREHASH_LightTaxEstimate;
extern char const* const _PREHASH_LandTaxEstimate;
extern char const* const _PREHASH_TeleportLandingStatusChanged;
extern char const* const _PREHASH_GroupTaxEstimate;
extern char const* const _PREHASH_AvgViewerFPS;
extern char const* const _PREHASH_Buttons;
extern char const* const _PREHASH_Sender;
extern char const* const _PREHASH_Dialog;
extern char const* const _PREHASH_TargetData;
extern char const* const _PREHASH_DestID;
extern char const* const _PREHASH_ObjectDelete;
extern char const* const _PREHASH_Delete;
extern char const* const _PREHASH_EventGodDelete;
extern char const* const _PREHASH_LastTaxDate;
extern char const* const _PREHASH_MapImageID;
extern char const* const _PREHASH_EndDateTime;
extern char const* const _PREHASH_TerrainDetail0;
extern char const* const _PREHASH_TerrainDetail1;
extern char const* const _PREHASH_TerrainDetail2;
extern char const* const _PREHASH_TerrainDetail3;
extern char const* const _PREHASH_Offset;
extern char const* const _PREHASH_ObjectDelink;
extern char const* const _PREHASH_TargetObject;
extern char const* const _PREHASH_IsEstateManager;
extern char const* const _PREHASH_CancelAuction;
extern char const* const _PREHASH_ObjectDetach;
extern char const* const _PREHASH_Compressed;
extern char const* const _PREHASH_PathBegin;
extern char const* const _PREHASH_BypassRaycast;
extern char const* const _PREHASH_WinnerID;
extern char const* const _PREHASH_ChannelType;
extern char const* const _PREHASH_NonExemptMembers;
extern char const* const _PREHASH_Agents;
extern char const* const _PREHASH_MemberData;
extern char const* const _PREHASH_ToGroupID;
extern char const* const _PREHASH_ImageNotInDatabase;
extern char const* const _PREHASH_StartDate;
extern char const* const _PREHASH_AnimID;
extern char const* const _PREHASH_Serial;
extern char const* const _PREHASH_AbuseRegionName;
extern char const* const _PREHASH_ModifyLand;
extern char const* const _PREHASH_Digest;
extern char const* const _PREHASH_Victim;
extern char const* const _PREHASH_Script;
extern char const* const _PREHASH_PickInfoReply;
extern char const* const _PREHASH_MoneyBalanceReply;
extern char const* const _PREHASH_RoutedMoneyBalanceReply;
extern char const* const _PREHASH_RoleID;
extern char const* const _PREHASH_RegionInfo;
extern char const* const _PREHASH_GodUpdateRegionInfo;
extern char const* const _PREHASH_StartAnim;
extern char const* const _PREHASH_Action;
extern char const* const _PREHASH_Location;
extern char const* const _PREHASH_Rights;
extern char const* const _PREHASH_SearchDir;
extern char const* const _PREHASH_TransferRequest;
extern char const* const _PREHASH_ScriptSensorRequest;
extern char const* const _PREHASH_MoneyTransferRequest;
extern char const* const _PREHASH_EjectGroupMemberRequest;
extern char const* const _PREHASH_SkillsText;
extern char const* const _PREHASH_Resent;
extern char const* const _PREHASH_Center;
extern char const* const _PREHASH_SharedData;
extern char const* const _PREHASH_PSBlock;
extern char const* const _PREHASH_UUIDNameBlock;
extern char const* const _PREHASH_GroupTitleUpdate;
extern char const* const _PREHASH_Method;
extern char const* const _PREHASH_TouchName;
extern char const* const _PREHASH_UpdateType;
extern char const* const _PREHASH_KickedFromEstateID;
extern char const* const _PREHASH_CandidateID;
extern char const* const _PREHASH_ParamData;
extern char const* const _PREHASH_GodlikeMessage;
extern char const* const _PREHASH_SystemMessage;
extern char const* const _PREHASH_BodyRotation;
extern char const* const _PREHASH_SearchRegions;
extern char const* const _PREHASH_AnimationData;
extern char const* const _PREHASH_StatID;
extern char const* const _PREHASH_ItemID;
extern char const* const _PREHASH_ScriptDialogReply;
extern char const* const _PREHASH_RegionIDAndHandleReply;
extern char const* const _PREHASH_CameraAtOffset;
extern char const* const _PREHASH_VoteID;
extern char const* const _PREHASH_ParcelGodForceOwner;
extern char const* const _PREHASH_Filter;
extern char const* const _PREHASH_InviteData;
extern char const* const _PREHASH_PCode;
extern char const* const _PREHASH_SearchPos;
extern char const* const _PREHASH_PreyID;
extern char const* const _PREHASH_TerrainLowerLimit;
extern char const* const _PREHASH_EventFlags;
extern char const* const _PREHASH_TallyVotes;
extern char const* const _PREHASH_Result;
extern char const* const _PREHASH_LookAt;
extern char const* const _PREHASH_SearchOrder;
extern char const* const _PREHASH_PayButton;
extern char const* const _PREHASH_SelfCount;
extern char const* const _PREHASH_PacketCount;
extern char const* const _PREHASH_ParcelBuyPass;
extern char const* const _PREHASH_OldItemID;
extern char const* const _PREHASH_RegionPort;
extern char const* const _PREHASH_Bitmap;
extern char const* const _PREHASH_CacheMissType;
extern char const* const _PREHASH_VFileID;
extern char const* const _PREHASH_GroupInsigniaID;
extern char const* const _PREHASH_Online;
extern char const* const _PREHASH_KickFlags;
extern char const* const _PREHASH_CovenantID;
extern char const* const _PREHASH_SysCPU;
extern char const* const _PREHASH_EMail;
extern char const* const _PREHASH_AggregatePermTextures;
extern char const* const _PREHASH_ChatChannel;
extern char const* const _PREHASH_OwnerData;
extern char const* const _PREHASH_ReturnID;
extern char const* const _PREHASH_ObjectAttach;
extern char const* const _PREHASH_TargetPort;
extern char const* const _PREHASH_ObjectSpinStop;
extern char const* const _PREHASH_FullID;
extern char const* const _PREHASH_ActivateGroup;
extern char const* const _PREHASH_SysGPU;
extern char const* const _PREHASH_AvatarInterestsReply;
extern char const* const _PREHASH_StartLure;
extern char const* const _PREHASH_SysRAM;
extern char const* const _PREHASH_SitPosition;
extern char const* const _PREHASH_StartTime;
extern char const* const _PREHASH_BornOn;
extern char const* const _PREHASH_CameraCollidePlane;
extern char const* const _PREHASH_EconomyDataRequest;
extern char const* const _PREHASH_TeleportLureRequest;
extern char const* const _PREHASH_FolderID;
extern char const* const _PREHASH_RegionHandleRequest;
extern char const* const _PREHASH_ScriptDataRequest;
extern char const* const _PREHASH_GroupRoleDataRequest;
extern char const* const _PREHASH_GroupTitlesRequest;
extern char const* const _PREHASH_AgentWearablesRequest;
extern char const* const _PREHASH_MapBlockRequest;
extern char const* const _PREHASH_LureID;
extern char const* const _PREHASH_CopyCenters;
extern char const* const _PREHASH_ParamList;
extern char const* const _PREHASH_InventorySerial;
extern char const* const _PREHASH_EdgeDataPacket;
extern char const* const _PREHASH_AvatarPickerReply;
extern char const* const _PREHASH_ParcelDwellReply;
extern char const* const _PREHASH_IsForSale;
extern char const* const _PREHASH_MuteID;
extern char const* const _PREHASH_MeanCollisionAlert;
extern char const* const _PREHASH_CanAcceptTasks;
extern char const* const _PREHASH_ItemData;
extern char const* const _PREHASH_AnimationList;
extern char const* const _PREHASH_Reputation;
extern char const* const _PREHASH_IntValue;
extern char const* const _PREHASH_TargetType;
extern char const* const _PREHASH_Amount;
extern char const* const _PREHASH_HasAttachment;
extern char const* const _PREHASH_UpdateAttachment;
extern char const* const _PREHASH_RemoveAttachment;
extern char const* const _PREHASH_HeightWidthBlock;
extern char const* const _PREHASH_RequestObjectPropertiesFamily;
extern char const* const _PREHASH_ObjectPropertiesFamily;
extern char const* const _PREHASH_UserData;
extern char const* const _PREHASH_IsReadable;
extern char const* const _PREHASH_PathCurve;
extern char const* const _PREHASH_Status;
extern char const* const _PREHASH_FromGroup;
extern char const* const _PREHASH_AlreadyVoted;
extern char const* const _PREHASH_PlacesReply;
extern char const* const _PREHASH_DirPlacesReply;
extern char const* const _PREHASH_ParcelBuy;
extern char const* const _PREHASH_DirFindQueryBackend;
extern char const* const _PREHASH_DirPlacesQueryBackend;
extern char const* const _PREHASH_DirClassifiedQueryBackend;
extern char const* const _PREHASH_DirLandQueryBackend;
extern char const* const _PREHASH_DirPopularQueryBackend;
extern char const* const _PREHASH_HistoryData;
extern char const* const _PREHASH_SnapshotID;
extern char const* const _PREHASH_Aspect;
extern char const* const _PREHASH_ParamSize;
extern char const* const _PREHASH_VoteCast;
extern char const* const _PREHASH_EveryoneMask;
extern char const* const _PREHASH_ObjectSpinUpdate;
extern char const* const _PREHASH_MaturePublish;
extern char const* const _PREHASH_UseExistingAsset;
extern char const* const _PREHASH_Powers;
extern char const* const _PREHASH_ParcelLocalID;
extern char const* const _PREHASH_TeleportCancel;
extern char const* const _PREHASH_UnixTime;
extern char const* const _PREHASH_QueryFlags;
extern char const* const _PREHASH_AlwaysRun;
extern char const* const _PREHASH_Bottom;
extern char const* const _PREHASH_ButtonData;
extern char const* const _PREHASH_SoundData;
extern char const* const _PREHASH_ViewerStats;
extern char const* const _PREHASH_RegionHandshake;
extern char const* const _PREHASH_ObjectDescription;
extern char const* const _PREHASH_Description;
extern char const* const _PREHASH_ParamType;
extern char const* const _PREHASH_UUIDNameReply;
extern char const* const _PREHASH_UUIDGroupNameReply;
extern char const* const _PREHASH_SaveAssetIntoInventory;
extern char const* const _PREHASH_UserInfo;
extern char const* const _PREHASH_AnimSequenceID;
extern char const* const _PREHASH_NVPairs;
extern char const* const _PREHASH_GroupNoticesListRequest;
extern char const* const _PREHASH_ParcelAccessListRequest;
extern char const* const _PREHASH_MuteListRequest;
extern char const* const _PREHASH_RpcChannelRequest;
extern char const* const _PREHASH_LandStatRequest;
extern char const* const _PREHASH_PlacesQuery;
extern char const* const _PREHASH_DirPlacesQuery;
extern char const* const _PREHASH_SortOrder;
extern char const* const _PREHASH_Hunter;
extern char const* const _PREHASH_SunAngVelocity;
extern char const* const _PREHASH_BinaryBucket;
extern char const* const _PREHASH_ImagePacket;
extern char const* const _PREHASH_StartGroupProposal;
extern char const* const _PREHASH_EnergyLevel;
extern char const* const _PREHASH_PriceForListing;
extern char const* const _PREHASH_Scale;
extern char const* const _PREHASH_EstateCovenantReply;
extern char const* const _PREHASH_ParentEstateID;
extern char const* const _PREHASH_Extra2;
extern char const* const _PREHASH_Throttle;
extern char const* const _PREHASH_SimIP;
extern char const* const _PREHASH_GodID;
extern char const* const _PREHASH_VoteItem;
extern char const* const _PREHASH_SitRotation;
extern char const* const _PREHASH_SnapSelection;
extern char const* const _PREHASH_SoundTrigger;
extern char const* const _PREHASH_TerrainRaiseLimit;
extern char const* const _PREHASH_Quorum;
extern char const* const _PREHASH_AgentBlock;
extern char const* const _PREHASH_CommandBlock;
extern char const* const _PREHASH_SpawnPointPos;
extern char const* const _PREHASH_VolumeDetail;
extern char const* const _PREHASH_FromAgentName;
extern char const* const _PREHASH_Range;
extern char const* const _PREHASH_DirectoryVisibility;
extern char const* const _PREHASH_PublicIP;
extern char const* const _PREHASH_TeleportFailed;
extern char const* const _PREHASH_PreloadSound;
extern char const* const _PREHASH_ScreenshotID;
extern char const* const _PREHASH_CovenantTimestamp;
extern char const* const _PREHASH_OldestUnacked;
extern char const* const _PREHASH_SimulatorIP;
extern char const* const _PREHASH_Value;
extern char const* const _PREHASH_JointAxisOrAnchor;
extern char const* const _PREHASH_Test0;
extern char const* const _PREHASH_Test1;
extern char const* const _PREHASH_Test2;
extern char const* const _PREHASH_SunPhase;
extern char const* const _PREHASH_ParcelDivide;
extern char const* const _PREHASH_Field;
extern char const* const _PREHASH_Ratio;
extern char const* const _PREHASH_JoinGroupReply;
extern char const* const _PREHASH_LiveHelpGroupReply;
extern char const* const _PREHASH_Score;
extern char const* const _PREHASH_Image;
extern char const* const _PREHASH_ObjectClickAction;
extern char const* const _PREHASH_Parameter;
extern char const* const _PREHASH_Flags;
extern char const* const _PREHASH_Plane;
extern char const* const _PREHASH_Width;
extern char const* const _PREHASH_Right;
extern char const* const _PREHASH_DirFindQuery;
extern char const* const _PREHASH_Textures;
extern char const* const _PREHASH_EventData;
extern char const* const _PREHASH_Final;
extern char const* const _PREHASH_System;
extern char const* const _PREHASH_TelehubPos;
extern char const* const _PREHASH_ReportAutosaveCrash;
extern char const* const _PREHASH_CreateTrustedCircuit;
extern char const* const _PREHASH_DenyTrustedCircuit;
extern char const* const _PREHASH_RequestTrustedCircuit;
extern char const* const _PREHASH_Codec;
extern char const* const _PREHASH_Modal;
extern char const* const _PREHASH_ChildAgentUnknown;
extern char const* const _PREHASH_LandingType;
extern char const* const _PREHASH_ScriptRunningReply;
extern char const* const _PREHASH_Reply;
extern char const* const _PREHASH_GroupAccountDetailsReply;
extern char const* const _PREHASH_TelehubRot;
extern char const* const _PREHASH_AcceptFriendship;
extern char const* const _PREHASH_ItemType;
extern char const* const _PREHASH_DwellInfo;
extern char const* const _PREHASH_AgentResume;
extern char const* const _PREHASH_MailFilter;
extern char const* const _PREHASH_Disconnect;
extern char const* const _PREHASH_SimPosition;
extern char const* const _PREHASH_SimWideTotalPrims;
extern char const* const _PREHASH_Index;
extern char const* const _PREHASH_SimFilename;
extern char const* const _PREHASH_LastOwnerID;
extern char const* const _PREHASH_GroupNoticeRequest;
extern char const* const _PREHASH_EmailMessageRequest;
extern char const* const _PREHASH_MapItemRequest;
extern char const* const _PREHASH_AgentCount;
extern char const* const _PREHASH_MessageBlock;
extern char const* const _PREHASH_FuseBlock;
extern char const* const _PREHASH_AgentGroupData;
extern char const* const _PREHASH_ClassifiedInfoUpdate;
extern char const* const _PREHASH_RegionPos;
extern char const* const _PREHASH_ParcelMediaUpdate;
extern char const* const _PREHASH_NoticeID;
extern char const* const _PREHASH_GridX;
extern char const* const _PREHASH_GridY;
extern char const* const _PREHASH_Title;
extern char const* const _PREHASH_AuctionID;
extern char const* const _PREHASH_VoteType;
extern char const* const _PREHASH_CategoryID;
extern char const* const _PREHASH_Token;
extern char const* const _PREHASH_AggregatePerms;
extern char const* const _PREHASH_ObjectSelect;
extern char const* const _PREHASH_ForceObjectSelect;
extern char const* const _PREHASH_Price;
extern char const* const _PREHASH_SunDirection;
extern char const* const _PREHASH_FromName;
extern char const* const _PREHASH_ChangeInventoryItemFlags;
extern char const* const _PREHASH_Force;
extern char const* const _PREHASH_TransactionBlock;
extern char const* const _PREHASH_PowersMask;
extern char const* const _PREHASH_Stamp;
extern char const* const _PREHASH_TotalCredits;
extern char const* const _PREHASH_State;
extern char const* const _PREHASH_TextureIndex;
extern char const* const _PREHASH_InviteeID;
extern char const* const _PREHASH_ParcelReclaim;
extern char const* const _PREHASH_Money;
extern char const* const _PREHASH_PathTwist;
extern char const* const _PREHASH_AuthBuyerID;
extern char const* const _PREHASH_Color;
extern char const* const _PREHASH_SourceType;
extern char const* const _PREHASH_World;
extern char const* const _PREHASH_QueryData;
extern char const* const _PREHASH_Users;
extern char const* const _PREHASH_SysOS;
extern char const* const _PREHASH_Notes;
extern char const* const _PREHASH_AvatarID;
extern char const* const _PREHASH_FounderID;
extern char const* const _PREHASH_EndPointID;
extern char const* const _PREHASH_LocationLookAt;
extern char const* const _PREHASH_Sound;
extern char const* const _PREHASH_Cover;
extern char const* const _PREHASH_TotalObjectCount;
extern char const* const _PREHASH_TextureEntry;
extern char const* const _PREHASH_SquareMetersCommitted;
extern char const* const _PREHASH_ChannelID;
extern char const* const _PREHASH_Dwell;
extern char const* const _PREHASH_AgentUpdate;
extern char const* const _PREHASH_PickGodDelete;
extern char const* const _PREHASH_HostName;
extern char const* const _PREHASH_PriceParcelClaim;
extern char const* const _PREHASH_ParcelClaim;
extern char const* const _PREHASH_AgentPowers;
extern char const* const _PREHASH_ProfileHollow;
extern char const* const _PREHASH_GroupRoleChanges;
extern char const* const _PREHASH_Count;
extern char const* const _PREHASH_ObjectUpdateCompressed;
extern char const* const _PREHASH_MuteFlags;
extern char const* const _PREHASH_Group;
extern char const* const _PREHASH_AgentPause;
extern char const* const _PREHASH_LanguagesText;
extern char const* const _PREHASH_Error;
extern char const* const _PREHASH_InternalScriptMail;
extern char const* const _PREHASH_FindAgent;
extern char const* const _PREHASH_AgentData;
extern char const* const _PREHASH_FolderData;
extern char const* const _PREHASH_AssetBlock;
extern char const* const _PREHASH_AcceptNotices;
extern char const* const _PREHASH_SetGroupAcceptNotices;
extern char const* const _PREHASH_CloseCircuit;
extern char const* const _PREHASH_TeleportFinish;
extern char const* const _PREHASH_PathRevolutions;
extern char const* const _PREHASH_ClassifiedInfoReply;
extern char const* const _PREHASH_ParcelInfoReply;
extern char const* const _PREHASH_AutosaveData;
extern char const* const _PREHASH_SetStartLocation;
extern char const* const _PREHASH_PassHours;
extern char const* const _PREHASH_AttachmentPt;
extern char const* const _PREHASH_ParcelFlags;
extern char const* const _PREHASH_NumVotes;
extern char const* const _PREHASH_AvatarPickerRequest;
extern char const* const _PREHASH_TeleportLocationRequest;
extern char const* const _PREHASH_DataHomeLocationRequest;
extern char const* const _PREHASH_EventNotificationAddRequest;
extern char const* const _PREHASH_ParcelDwellRequest;
extern char const* const _PREHASH_EventLocationRequest;
extern char const* const _PREHASH_SetStartLocationRequest;
extern char const* const _PREHASH_QueryStart;
extern char const* const _PREHASH_EjectData;
extern char const* const _PREHASH_AvatarTextureUpdate;
extern char const* const _PREHASH_RPCServerPort;
extern char const* const _PREHASH_Bytes;
extern char const* const _PREHASH_Extra;
extern char const* const _PREHASH_ForceScriptControlRelease;
extern char const* const _PREHASH_ParcelRelease;
extern char const* const _PREHASH_VFileType;
extern char const* const _PREHASH_EjectGroupMemberReply;
extern char const* const _PREHASH_ImageData;
extern char const* const _PREHASH_SimulatorViewerTimeMessage;
extern char const* const _PREHASH_Rotation;
extern char const* const _PREHASH_Selection;
extern char const* const _PREHASH_TransactionData;
extern char const* const _PREHASH_OperationData;
extern char const* const _PREHASH_ExpirationDate;
extern char const* const _PREHASH_ParcelDeedToGroup;
extern char const* const _PREHASH_AvatarPicksReply;
extern char const* const _PREHASH_GroupTitlesReply;
extern char const* const _PREHASH_AgentInfo;
extern char const* const _PREHASH_MoneyTransferBackend;
extern char const* const _PREHASH_NextOwnerMask;
extern char const* const _PREHASH_MuteData;
extern char const* const _PREHASH_PassPrice;
extern char const* const _PREHASH_SourceID;
extern char const* const _PREHASH_IsDestGroup;
extern char const* const _PREHASH_IsSourceGroup;
extern char const* const _PREHASH_ItemDescription;
extern char const* const _PREHASH_ChangeUserRights;
extern char const* const _PREHASH_TeleportFlags;
extern char const* const _PREHASH_SlaveParcelData;
extern char const* const _PREHASH_AssetData;
extern char const* const _PREHASH_MultipleObjectUpdate;
extern char const* const _PREHASH_ObjectUpdate;
extern char const* const _PREHASH_ImprovedTerseObjectUpdate;
extern char const* const _PREHASH_ConfirmXferPacket;
extern char const* const _PREHASH_StartPingCheck;
extern char const* const _PREHASH_SimWideDeletes;
extern char const* const _PREHASH_LandStatReply;
extern char const* const _PREHASH_AgentList;
extern char const* const _PREHASH_SimApproved;
extern char const* const _PREHASH_RezObject;
extern char const* const _PREHASH_TaskLocalID;
extern char const* const _PREHASH_ClaimDate;
extern char const* const _PREHASH_MergeParcel;
extern char const* const _PREHASH_Priority;
extern char const* const _PREHASH_QueryText;
extern char const* const _PREHASH_GroupNoticeAdd;
extern char const* const _PREHASH_ReturnType;
extern char const* const _PREHASH_FetchFolders;
extern char const* const _PREHASH_SimulatorPublicHostBlock;
extern char const* const _PREHASH_HeaderData;
extern char const* const _PREHASH_RequestMultipleObjects;
extern char const* const _PREHASH_RetrieveInstantMessages;
extern char const* const _PREHASH_OpenCircuit;
extern char const* const _PREHASH_CrossedRegion;
extern char const* const _PREHASH_DirGroupsReply;
extern char const* const _PREHASH_AvatarGroupsReply;
extern char const* const _PREHASH_EmailMessageReply;
extern char const* const _PREHASH_GroupVoteHistoryItemReply;
extern char const* const _PREHASH_ViewerPosition;
extern char const* const _PREHASH_Position;
extern char const* const _PREHASH_ParentEstate;
extern char const* const _PREHASH_EstateName;
extern char const* const _PREHASH_MuteName;
extern char const* const _PREHASH_ParcelRename;
extern char const* const _PREHASH_ViewerFilename;
extern char const* const _PREHASH_UserReportInternal;
extern char const* const _PREHASH_AvatarPropertiesRequest;
extern char const* const _PREHASH_ParcelPropertiesRequest;
extern char const* const _PREHASH_GroupProfileRequest;
extern char const* const _PREHASH_AgentDataUpdateRequest;
extern char const* const _PREHASH_PriceObjectScaleFactor;
extern char const* const _PREHASH_OpenEnrollment;
extern char const* const _PREHASH_GroupData;
extern char const* const _PREHASH_RequestGodlikePowers;
extern char const* const _PREHASH_GrantGodlikePowers;
extern char const* const _PREHASH_TransactionID;
extern char const* const _PREHASH_DestinationID;
extern char const* const _PREHASH_Controls;
extern char const* const _PREHASH_FirstDetachAll;
extern char const* const _PREHASH_EstateID;
extern char const* const _PREHASH_ImprovedInstantMessage;
extern char const* const _PREHASH_CheckParcelSales;
extern char const* const _PREHASH_ParcelSales;
extern char const* const _PREHASH_CurrentInterval;
extern char const* const _PREHASH_NeighborBlock;
extern char const* const _PREHASH_LayerData;
extern char const* const _PREHASH_NVPairData;
extern char const* const _PREHASH_TeleportLocal;
extern char const* const _PREHASH_EjecteeID;
extern char const* const _PREHASH_VoteInitiator;
extern char const* const _PREHASH_TypeData;
extern char const* const _PREHASH_OwnerIDs;
extern char const* const _PREHASH_SystemKickUser;
extern char const* const _PREHASH_TransactionTime;
extern char const* const _PREHASH_TimeToLive;
extern char const* const _PREHASH_OldAgentID;
extern char const* const _PREHASH_MusicURL;
extern char const* const _PREHASH_ParcelPrimBonus;
extern char const* const _PREHASH_EjectUser;
extern char const* const _PREHASH_CoarseLocationUpdate;
extern char const* const _PREHASH_ChildAgentPositionUpdate;
extern char const* const _PREHASH_StoreLocal;
extern char const* const _PREHASH_GroupName;
extern char const* const _PREHASH_PriceParcelRent;
extern char const* const _PREHASH_SimStatus;
extern char const* const _PREHASH_TransactionSuccess;
extern char const* const _PREHASH_LureType;
extern char const* const _PREHASH_GroupMask;
extern char const* const _PREHASH_SitObject;
extern char const* const _PREHASH_Override;
extern char const* const _PREHASH_LocomotionState;
extern char const* const _PREHASH_PriceUpload;
extern char const* const _PREHASH_RemoveParcel;
extern char const* const _PREHASH_ConfirmAuctionStart;
extern char const* const _PREHASH_RpcScriptRequestInbound;
extern char const* const _PREHASH_ActiveGroupID;
extern char const* const _PREHASH_ParcelReturnObjects;
extern char const* const _PREHASH_TotalObjects;
extern char const* const _PREHASH_ObjectExtraParams;
extern char const* const _PREHASH_Questions;
extern char const* const _PREHASH_TransferAbort;
extern char const* const _PREHASH_TransferInventory;
extern char const* const _PREHASH_RayTargetID;
extern char const* const _PREHASH_ClaimPrice;
extern char const* const _PREHASH_ObjectProperties;
extern char const* const _PREHASH_ParcelProperties;
extern char const* const _PREHASH_EstateOwnerID;
extern char const* const _PREHASH_LogoutRequest;
extern char const* const _PREHASH_AssetUploadRequest;
extern char const* const _PREHASH_TransactionInfo;
extern char const* const _PREHASH_TransactionType;
extern char const* const _PREHASH_AvatarPropertiesUpdate;
extern char const* const _PREHASH_ParcelPropertiesUpdate;
extern char const* const _PREHASH_FetchItems;
extern char const* const _PREHASH_AbortXfer;
extern char const* const _PREHASH_DeRezAck;
extern char const* const _PREHASH_TakeControls;
extern char const* const _PREHASH_DirLandReply;
extern char const* const _PREHASH_MuteType;
extern char const* const _PREHASH_IMViaEMail;
extern char const* const _PREHASH_RentPrice;
extern char const* const _PREHASH_GenericMessage;
extern char const* const _PREHASH_GenericStreamingMessage;
extern char const* const _PREHASH_ChildAgentAlive;
extern char const* const _PREHASH_AssetType;
extern char const* const _PREHASH_SpawnPointBlock;
extern char const* const _PREHASH_ObjectMaterial;
extern char const* const _PREHASH_OwnerName;
extern char const* const _PREHASH_AvatarNotesReply;
extern char const* const _PREHASH_CacheID;
extern char const* const _PREHASH_OwnerMask;
extern char const* const _PREHASH_TransferInventoryAck;
extern char const* const _PREHASH_RegionDenyAgeUnverified;
extern char const* const _PREHASH_AgeVerificationBlock;
extern char const* const _PREHASH_RegionAllowAccessBlock;
extern char const* const _PREHASH_RegionAllowAccessOverride;
extern char const* const _PREHASH_ParcelEnvironmentBlock;
extern char const* const _PREHASH_ParcelEnvironmentVersion;
extern char const* const _PREHASH_ParcelExtendedFlags;
extern char const* const _PREHASH_RegionAllowEnvironmentOverride;
extern char const* const _PREHASH_UCoord;
extern char const* const _PREHASH_VCoord;
extern char const* const _PREHASH_FaceIndex;
extern char const* const _PREHASH_StatusData;
extern char const* const _PREHASH_ProductName;
extern char const* const _PREHASH_ProductSKU;
extern char const* const _PREHASH_ColoName;
extern char const* const _PREHASH_CPUClassID;
extern char const* const _PREHASH_CPURatio;
extern char const* const _PREHASH_Language;
extern char const* const _PREHASH_SeeAVs;
extern char const* const _PREHASH_AnyAVSounds;
extern char const* const _PREHASH_GroupAVSounds;
extern char const* const _PREHASH_AppearanceData;
extern char const* const _PREHASH_AppearanceVersion;
extern char const* const _PREHASH_CofVersion;
extern char const* const _PREHASH_Experience;
extern char const* const _PREHASH_ExperienceID;
extern char const* const _PREHASH_AppearanceHover;
extern char const* const _PREHASH_HoverHeight;
extern char const* const _PREHASH_LargeGenericMessage;
// Combat 2 system
extern char const* const _PREHASH_CombatSettings;
extern char const* const _PREHASH_CombatFlags;
extern char const* const _PREHASH_OnDeath;
extern char const* const _PREHASH_DamageThrottle;
extern char const* const _PREHASH_RegenerationRate;
extern char const* const _PREHASH_InvulnerabilyTime;
extern char const* const _PREHASH_DamageLimit;
extern char const* const _PREHASH_GameControlInput;
extern char const* const _PREHASH_AxisData;
extern char const* const _PREHASH_MetaData;
#if LL_PUPPETRY
// Puppetry: attachment position updates to server
extern char const* const _PREHASH_AgentAnimationTracking;
extern char const* const _PREHASH_AttachmentPointUpdate;
#endif

// Variable region size support
extern char const* const _PREHASH_RegionSizeX;
extern char const* const _PREHASH_RegionSizeY;
extern char const* const _PREHASH_SizeX;
extern char const* const _PREHASH_SizeY;

extern char const* const _PREHASH_ObjectCapacity;

# if 0	// Old economy data, never used...
extern char const* const _PREHASH_ObjectCount;
extern char const* const _PREHASH_PriceEnergyUnit;
extern char const* const _PREHASH_PriceObjectClaim;
extern char const* const _PREHASH_PricePublicObjectDecay;
extern char const* const _PREHASH_PricePublicObjectDelete;
extern char const* const _PREHASH_PriceRentLight;
extern char const* const _PREHASH_TeleportMinPrice;
# endif

#endif
