/**
 * @file imageids.cpp
 *
 * $LicenseInfo:firstyear=2001&license=viewergpl$
 *
 * Copyright (c) 2001-2010, Linden Research, Inc.
 *
 * Second Life Viewer Source Code
 * The source code in this file ("Source Code") is provided by Linden Lab
 * to you under the terms of the GNU General Public License, version 2.0
 * ("GPL"), unless you have obtained a separate licensing agreement
 * ("Other License"), formally executed by you and Linden Lab.  Terms of
 * the GPL can be found in doc/GPL-license.txt in this distribution, or
 * online at http://secondlife.com/developers/opensource/gplv2
 *
 * There are special exceptions to the terms and conditions of the GPL as
 * it is applied to this Source Code. View the full text of the exception
 * in the file doc/FLOSS-exception.txt in this software distribution, or
 * online at
 * http://secondlife.com/developers/opensource/flossexception
 *
 * By copying, modifying or distributing this software, you acknowledge
 * that you have read and understood your obligations described above,
 * and agree to abide by those obligations.
 *
 * ALL LINDEN LAB SOURCE CODE IS PROVIDED "AS IS." LINDEN LAB MAKES NO
 * WARRANTIES, EXPRESS, IMPLIED OR OTHERWISE, REGARDING ITS ACCURACY,
 * COMPLETENESS OR PERFORMANCE.
 * $/LicenseInfo$
 *
 */

#include "linden_common.h"

#include "imageids.h"

const LLUUID IMG_SMOKE				("b4ba225c-373f-446d-9f7e-6cb7b5cf9b3d"); // Viewer

const LLUUID IMG_DEFAULT			("d2114404-dd59-4a4d-8e6c-49359e91bbf0"); // Viewer

const LLUUID IMG_PLYWOOD			("89556747-24cb-43ed-920b-47caed15465f"); // On dataserver
const LLUUID IMG_BLANK				("5748decc-f629-461c-9a36-a35a221fe21f"); // On dataserver

const LLUUID IMG_SUN				("cce0f112-878f-4586-a2e2-a8f104bba271"); // Viewer
const LLUUID IMG_MOON				("d07f6eed-b96a-47cd-b51d-400ad4a1c428"); // Viewer
const LLUUID IMG_CLOUD_POOF			("fc4b9f0b-d008-45c6-96a4-01dd947ac621"); // Viewer
const LLUUID IMG_SHOT				("35f217a3-f618-49cf-bbca-c86d486551a9"); // On dataserver
const LLUUID IMG_FACE_SELECT    	("a85ac674-cb75-4af6-9499-df7c5aaf7a28"); // Viewer
const LLUUID IMG_DEFAULT_AVATAR		("c228d1cf-4b5d-4ba8-84f4-899a0796aa97"); // On dataserver
const LLUUID IMG_INVISIBLE			("3a367d1c-bef1-6d43-7595-e88c1e3aadb3"); // On dataserver

const LLUUID IMG_SMOKE_POOF			("1e63e323-5fe0-452e-92f8-b98bd0f764e3"); // On dataserver

const LLUUID IMG_ALPHA_GRAD			("e97cf410-8e61-7005-ec06-629eba4cd1fb"); // Viewer
const LLUUID IMG_ALPHA_GRAD_2D		("38b86f85-2575-52a9-a531-23108d8da837"); // Viewer
const LLUUID IMG_TRANSPARENT		("8dcd4a48-2d37-4909-9f78-f7a9eb4ef903"); // Viewer

const LLUUID IMG_BLOOM1				("3c59f7fe-9dc8-47f9-8aaf-a9dd1fbc3bef"); // Viewer
const LLUUID IMG_HALO				("12149143-f599-91a7-77ac-b52a3c0f59cd"); // Viewer EEP
const LLUUID IMG_RAINBOW			("11b4c57c-56b3-04ed-1f82-2004363882e4"); // Viewer EEP
const LLUUID TERRAIN_DIRT_DETAIL	("0bc58228-74a0-7e83-89bc-5c23464bcec5"); // Viewer
const LLUUID TERRAIN_GRASS_DETAIL	("63338ede-0037-c4fd-855b-015d77112fc8"); // Viewer
const LLUUID TERRAIN_MOUNTAIN_DETAIL("303cd381-8560-7579-23f1-f0a880799740"); // Viewer
const LLUUID TERRAIN_ROCK_DETAIL	("53a2f406-4895-1d13-d541-d2e3b86bc19c"); // Viewer

const LLUUID DEFAULT_WATER_OPAQUE	("43c32285-d658-1793-c123-bf86315de055"); // Viewer
const LLUUID DEFAULT_WATER_TEXTURE	("2bfd3884-7e27-69b9-ba3a-3e673f680004"); // Viewer
const LLUUID DEFAULT_WATER_NORMAL	("822ded49-9a6c-f61c-cb89-6df54f42cdf4"); // Viewer

const LLUUID DEFAULT_SUN_ID			("32bfbcea-24b1-fb9d-1ef9-48a28a63730f"); // On dataserver
const LLUUID DEFAULT_MOON_ID		("d07f6eed-b96a-47cd-b51d-400ad4a1c428"); // On dataserver
const LLUUID DEFAULT_CLOUD_ID		("1dc1368f-e8fe-f02d-a08d-9d9f11c1af6b"); // On dataserver
