/** 
 * @file imageids.h
 * @brief Default image IDs
 *
 * $LicenseInfo:firstyear=2001&license=viewergpl$
 * 
 * Copyright (c) 2001-2009, Linden Research, Inc.
 * 
 * Second Life Viewer Source Code
 * The source code in this file ("Source Code") is provided by Linden Lab
 * to you under the terms of the GNU General Public License, version 2.0
 * ("GPL"), unless you have obtained a separate licensing agreement
 * ("Other License"), formally executed by you and Linden Lab.  Terms of
 * the GPL can be found in doc/GPL-license.txt in this distribution, or
 * online at http://secondlifegrid.net/programs/open_source/licensing/gplv2
 * 
 * There are special exceptions to the terms and conditions of the GPL as
 * it is applied to this Source Code. View the full text of the exception
 * in the file doc/FLOSS-exception.txt in this software distribution, or
 * online at
 * http://secondlifegrid.net/programs/open_source/licensing/flossexception
 * 
 * By copying, modifying or distributing this software, you acknowledge
 * that you have read and understood your obligations described above,
 * and agree to abide by those obligations.
 * 
 * ALL LINDEN LAB SOURCE CODE IS PROVIDED "AS IS." LINDEN LAB MAKES NO
 * WARRANTIES, EXPRESS, IMPLIED OR OTHERWISE, REGARDING ITS ACCURACY,
 * COMPLETENESS OR PERFORMANCE.
 * $/LicenseInfo$
 */

#ifndef LL_IMAGEIDS_H
#define LL_IMAGEIDS_H

class LLUUID;

extern const LLUUID IMG_SMOKE;

extern const LLUUID IMG_DEFAULT;

// Default plywood and blank textures, as applied by the texture picker.
extern const LLUUID IMG_PLYWOOD;
extern const LLUUID IMG_BLANK;

extern const LLUUID IMG_SUN;
extern const LLUUID IMG_MOON;
extern const LLUUID IMG_SHOT;
extern const LLUUID IMG_CLOUD_POOF;
extern const LLUUID IMG_FACE_SELECT;
extern const LLUUID IMG_DEFAULT_AVATAR;
extern const LLUUID IMG_INVISIBLE;

extern const LLUUID IMG_SMOKE_POOF;

extern const LLUUID IMG_ALPHA_GRAD;
extern const LLUUID IMG_ALPHA_GRAD_2D;
extern const LLUUID IMG_TRANSPARENT;

extern const LLUUID IMG_BLOOM1;
extern const LLUUID IMG_HALO;
extern const LLUUID IMG_RAINBOW;
extern const LLUUID TERRAIN_DIRT_DETAIL;
extern const LLUUID TERRAIN_GRASS_DETAIL;
extern const LLUUID TERRAIN_MOUNTAIN_DETAIL;
extern const LLUUID TERRAIN_ROCK_DETAIL;

extern const LLUUID DEFAULT_WATER_OPAQUE;
extern const LLUUID DEFAULT_WATER_TEXTURE;
extern const LLUUID DEFAULT_WATER_NORMAL;

extern const LLUUID DEFAULT_SUN_ID;
extern const LLUUID DEFAULT_MOON_ID;
extern const LLUUID DEFAULT_CLOUD_ID;

#endif
