/**
 * @file slplugin-objc.h
 * @brief Header file for slplugin-objc.mm.
 *
 * $LicenseInfo:firstyear=2010&license=viewergpl$
 *
 * Copyright (c) 2010, Linden Research, Inc.
 *
 * Second Life Viewer Source Code
 * The source code in this file ("Source Code") is provided by Linden Lab
 * to you under the terms of the GNU General Public License, version 2.0
 * ("GPL"), unless you have obtained a separate licensing agreement
 * ("Other License"), formally executed by you and Linden Lab.  Terms of
 * the GPL can be found in doc/GPL-license.txt in this distribution, or
 * online at http://secondlifegrid.net/programs/open_source/licensing/gplv2
 *
 * There are special exceptions to the terms and conditions of the GPL as
 * it is applied to this Source Code. View the full text of the exception
 * in the file doc/FLOSS-exception.txt in this software distribution, or
 * online at
 * http://secondlifegrid.net/programs/open_source/licensing/flossexception
 *
 * By copying, modifying or distributing this software, you acknowledge
 * that you have read and understood your obligations described above,
 * and agree to abide by those obligations.
 *
 * ALL LINDEN LAB SOURCE CODE IS PROVIDED "AS IS." LINDEN LAB MAKES NO
 * WARRANTIES, EXPRESS, IMPLIED OR OTHERWISE, REGARDING ITS ACCURACY,
 * COMPLETENESS OR PERFORMANCE.
 * $/LicenseInfo$
 */

// Protos for ObjectiveC classes (cannot import cocoa here due to BOOL
// conflict)
#ifndef __OBJC__
class NSWindow;
#endif // __OBJC__

/* Defined in slplugin-objc.mm: */

class LLCocoaPlugin
{
public:
    LLCocoaPlugin();
    void setupCocoa();
    void createAutoReleasePool();
    void deleteAutoReleasePool();
    void setupGroup();
    void updateWindows();
    void processEvents();

public:
    //EventTargetRef mEventTarget;
    NSWindow* mFrontWindow;
    NSWindow* mPluginWindow;
    int mHackState;
};
