/** 
 * @file llfloaterurldisplay.h
 * @brief LLFloaterURLDisplay class implementation
 *
 * $LicenseInfo:firstyear=2006&license=viewergpl$
 * 
 * Copyright (c) 2006-2009, Linden Research, Inc.
 * 
 * Second Life Viewer Source Code
 * The source code in this file ("Source Code") is provided by Linden Lab
 * to you under the terms of the GNU General Public License, version 2.0
 * ("GPL"), unless you have obtained a separate licensing agreement
 * ("Other License"), formally executed by you and Linden Lab.  Terms of
 * the GPL can be found in doc/GPL-license.txt in this distribution, or
 * online at http://secondlifegrid.net/programs/open_source/licensing/gplv2
 * 
 * There are special exceptions to the terms and conditions of the GPL as
 * it is applied to this Source Code. View the full text of the exception
 * in the file doc/FLOSS-exception.txt in this software distribution, or
 * online at
 * http://secondlifegrid.net/programs/open_source/licensing/flossexception
 * 
 * By copying, modifying or distributing this software, you acknowledge
 * that you have read and understood your obligations described above,
 * and agree to abide by those obligations.
 * 
 * ALL LINDEN LAB SOURCE CODE IS PROVIDED "AS IS." LINDEN LAB MAKES NO
 * WARRANTIES, EXPRESS, IMPLIED OR OTHERWISE, REGARDING ITS ACCURACY,
 * COMPLETENESS OR PERFORMANCE.
 * $/LicenseInfo$
 */

#ifndef LL_LLFLOATERURLDISPLAY_H
#define LL_LLFLOATERURLDISPLAY_H

#include "llfloater.h"
#include "llvector3.h"

class LLPanelPlace;
class LLSD;
class LLUUID;

class LLFloaterURLDisplay : public LLFloater,
							public LLFloaterSingleton<LLFloaterURLDisplay>
{
public:
	LLFloaterURLDisplay(const LLSD& sd);

	void displayParcelInfo(U64 region_handle, const LLVector3& pos);
	void setSnapshotDisplay(const LLUUID& snapshot_id);
	void setName(const std::string& name);
	void setLocationString(const std::string& name);

	static void* createPlaceDetail(void* userdata);

private:
	LLVector3		mRegionPosition;
	U64				mRegionHandle;
	LLPanelPlace*	mPlacePanel;
};

#endif // LL_LLFLOATERURLDISPLAY_H
